PROBE::SCHEDULER.C(3stap)

NAME
probe::scheduler.ctxswitch - A context switch is occuring.

SYNOPSIS

scheduler.ctxswitch

VALUES

name
    name of the probe point

next_tid
    The TID of the process to be switched in

nexttsk_state
    the state of the process to be switched in

next_pid
    The PID of the process to be switched in

next_priority
    The priority of the process to be switched in

prev_task_name
    The name of the process to be switched out

next_task_name
    The name of the process to be switched in

prev_priority
    The priority of the process to be switched out

prev_pid
    The PID of the process to be switched out

prevtsk_state
    the state of the process to be switched out

prev_tid
    The TID of the process to be switched out

SEE ALSO
tapset::scheduler(3stap)